# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-02-15 11:45
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DBCollection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path', models.TextField(unique=True, verbose_name='Path')),
                ('parent_path', models.TextField(verbose_name='Parent Path')),
            ],
            options={
                'verbose_name': 'Collection',
                'db_table': 'djradicale_collection',
                'verbose_name_plural': 'Collections',
            },
        ),
        migrations.CreateModel(
            name='DBItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(verbose_name='Name')),
                ('text', models.TextField(verbose_name='Text')),
                ('timestamp', models.DateTimeField(auto_now=True, verbose_name='Timestamp')),
                ('collection', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='djradicale.DBCollection', verbose_name='Collection')),
            ],
            options={
                'verbose_name': 'Item',
                'db_table': 'djradicale_item',
                'verbose_name_plural': 'Items',
                'ordering': ('timestamp',),
            },
        ),
        migrations.CreateModel(
            name='DBProperties',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path', models.TextField(unique=True, verbose_name='Path')),
                ('text', models.TextField(verbose_name='Text')),
            ],
            options={
                'verbose_name': 'Properties',
                'db_table': 'djradicale_properties',
                'verbose_name_plural': 'Properties',
            },
        ),
        migrations.AlterUniqueTogether(
            name='dbitem',
            unique_together=set([('name', 'collection')]),
        ),
    ]
